olume « roles « ansible « adapters « deploy - compass4nfv - </title>
<meta name='generator' content='cgit '/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-data/cgit.css'/>
<link rel='shortcut icon' href='/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='http://git.opnfv.org/compass4nfv/atom/deploy/adapters/ansible/roles/cinder-volume/tasks/main.yml?h=opnfv-7.0.0' type='application/atom+xml'/>
<link rel='vcs-git' href='https://git.opnfv.org/compass4nfv' title='compass4nfv Git repository'/>
</head>
<body>
<div id="lfcollabprojects-header">
  <div class="gray-diagonal">
    <div class="header-inner">
      <a
        id="lfcollabprojects-logo"
        href="http://collabprojects.linuxfoundation.org"
        >Linux Foundation Collaborative Projects</a
      >
    </div>
  </div>
</div>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='/cgit-data/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a title='compass4nfv' href='/compass4nfv/'>compass4nfv</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='162a125eaaff84d2288599b676b54656dd16fdc0'/><select name='h' onchange='this.form.submit();'>
<option value='master'>master</option>
<option value='stable/brahmaputra'>stable/brahmaputra</option>
<option value='stable/colorado'>stable/colorado</option>
<option value='stable/danube'>stable/danube</option>
<option value='stable/euphrates'>stable/euphrates</option>
<option value='stable/fraser'>stable/fraser</option>
<option value='stable/gambia'>stable/gambia</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'></td><td class='sub right'>Grokmirror user</td></tr></table>
<table class='tabs'><tr><td>
<a href='/compass4nfv/about/?h=opnfv-7.0.0'>about</a><a href='/compass4nfv/?h=opnfv-7.0.0'>summary</a><a href='/compass4nfv/refs/?h=opnfv-7.0.0&amp;id=162a125eaaff84d2288599b676b54656dd16fdc0'>refs</a><a href='/compass4nfv/log/deploy/adapters/ansible/roles/cinder-volume/tasks/main.yml?h=opnfv-7.0.0'>log</a><a class='active' href='/compass4nfv/tree/deploy/adapters/ansible/roles/cinder-volume/tasks/main.yml?h=opnfv-7.0.0&amp;id=162a125eaaff84d2288599b676b54656dd16fdc0'>tree</a><a href='/compass4nfv/commit/deploy/adapters/ansible/roles/cinder-volume/tasks/main.yml?h=opnfv-7.0.0&amp;id=162a125eaaff84d2288599b676b54656dd16fdc0'>commit</a><a href='/compass4nfv/diff/deploy/adapters/ansible/roles/cinder-volume/tasks/main.yml?h=opnfv-7.0.0&amp;id=162a125eaaff84d2288599b676b54656dd16fdc0'>diff</a><a href='/compass4nfv/stats/deploy/adapters/ansible/roles/cinder-volume/tasks/main.yml?h=opnfv-7.0.0'>stats</a></td><td class='form'><form class='right' method='get' action='/compass4nfv/log/deploy/adapters/ansible/roles/cinder-volume/tasks/main.yml'>
<input type='hidden' name='h' value='opnfv-7.0.0'/><input type='hidden' name='id' value='162a125eaaff84d2288599b676b54656dd16fdc0'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/compass4nfv/tree/?h=opnfv-7.0.0&amp;id=162a125eaaff84d2288599b676b54656dd16fdc0'>root</a>/<a href='/compass4nfv/tree/deploy?h=opnfv-7.0.0&amp;id=162a125eaaff84d2288599b676b54656dd16fdc0'>deploy</a>/<a href='/compass4nfv/tree/deploy/adapters?h=opnfv-7.0.0&amp;id=162a125eaaff84d2288599b676b54656dd16fdc0'>adapters</a>/<a href='/compass4nfv/tree/deploy/adapters/ansible?h=opnfv-7.0.0&amp;id=162a125eaaff84d2288599b676b54656dd16fdc0'>ansible</a>/<a href='/compass4nfv/tree/deploy/adapters/ansible/roles?h=opnfv-7.0.0&amp;id=162a125eaaff84d2288599b676b54656dd16fdc0'>roles</a>/<a href='/compass4nfv/tree/deploy/adapters/ansible/roles/cinder-volume?h=opnfv-7.0.0&amp;id=162a125eaaff84d2288599b676b54656dd16fdc0'>cinder-volume</a>/<a href='/compass4nfv/tree/deploy/adapters/ansible/roles/cinder-volume/tasks?h=opnfv-7.0.0&amp;id=162a125eaaff84d2288599b676b54656dd16fdc0'>tasks</a>/<a href='/compass4nfv/tree/deploy/adapters/ansible/roles/cinder-volume/tasks/main.yml?h=opnfv-7.0.0&amp;id=162a125eaaff84d2288599b676b54656dd16fdc0'>main.yml</a></div><div class='content'>blob: f3f40c12f9b3bd46232d1e59299b15e234d23bc0 (<a href='/compass4nfv/plain/deploy/adapters/ansible/roles/cinder-volume/tasks/main.yml?h=opnfv-7.0.0&amp;id=162a125eaaff84d2288599b676b54656dd16fdc0'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
</pre></td>
<td class='lines'><pre><code><style>.highlight .hll { background-color: #ffffcc }
.highlight .c { color: #888888 } /* Comment */
.highlight .err { color: #a61717; background-color: #e3d2d2 } /* Error */
.highlight .k { color: #008800; font-weight: bold } /* Keyword */
.highlight .ch { color: #888888 } /* Comment.Hashbang */
.highlight .cm { color: #888888 } /* Comment.Multiline */
.highlight .cp { color: #cc0000; font-weight: bold } /* Comment.Preproc */
.highlight .cpf { color: #888888 } /* Comment.PreprocFile */
.highlight .c1 { color: #888888 } /* Comment.Single */
.highlight .cs { color: #cc0000; font-weight: bold; background-color: #fff0f0 } /* Comment.Special */
.highlight .gd { color: #000000; background-color: #ffdddd } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .gr { color: #aa0000 } /* Generic.Error */
.highlight .gh { color: #333333 } /* Generic.Heading */
.highlight .gi { color: #000000; background-color: #ddffdd } /* Generic.Inserted */
.highlight .go { color: #888888 } /* Generic.Output */
.highlight .gp { color: #555555 } /* Generic.Prompt */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #666666 } /* Generic.Subheading */
.highlight .gt { color: #aa0000 } /* Generic.Traceback */
.highlight .kc { color: #008800; font-weight: bold } /* Keyword.Constant */
.highlight .kd { color: #008800; font-weight: bold } /* Keyword.Declaration */
.highlight .kn { color: #008800; font-weight: bold } /* Keyword.Namespace */
.highlight .kp { color: #008800 } /* Keyword.Pseudo */
.highlight .kr { color: #008800; font-weight: bold } /* Keyword.Reserved */
.highlight .kt { color: #888888; font-weight: bold } /* Keyword.Type */
.highlight .m { color: #0000DD; font-weight: bold } /* Literal.Number */
.highlight .s { color: #dd2200; background-color: #fff0f0 } /* Literal.String */
.highlight .na { color: #336699 } /* Name.Attribute */
.highlight .nb { color: #003388 } /* Name.Builtin */
.highlight .nc { color: #bb0066; font-weight: bold } /* Name.Class */
.highlight .no { color: #003366; font-weight: bold } /* Name.Constant */
.highlight .nd { color: #555555 } /* Name.Decorator */
.highlight .ne { color: #bb0066; font-weight: bold } /* Name.Exception */
.highlight .nf { color: #0066bb; font-weight: bold } /* Name.Function */
.highlight .nl { color: #336699; font-style: italic } /* Name.Label */
.highlight .nn { color: #bb0066; font-weight: bold } /* Name.Namespace */
.highlight .py { color: #336699; font-weight: bold } /* Name.Property */
.highlight .nt { color: #bb0066; font-weight: bold } /* Name.Tag */
.highlight .nv { color: #336699 } /* Name.Variable */
.highlight .ow { color: #008800 } /* Operator.Word */
.highlight .w { color: #bbbbbb } /* Text.Whitespace */
.highlight .mb { color: #0000DD; font-weight: bold } /* Literal.Number.Bin */
.highlight .mf { color: #0000DD; font-weight: bold } /* Literal.Number.Float */
.highlight .mh { color: #0000DD; font-weight: bold } /* Literal.Number.Hex */
.highlight .mi { color: #0000DD; font-weight: bold } /* Literal.Number.Integer */
.highlight .mo { color: #0000DD; font-weight: bold } /* Literal.Number.Oct */
.highlight .sa { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Affix */
.highlight .sb { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Backtick */
.highlight .sc { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Char */
.highlight .dl { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Delimiter */
.highlight .sd { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Doc */
.highlight .s2 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Double */
.highlight .se { color: #0044dd; background-color: #fff0f0 } /* Literal.String.Escape */
.highlight .sh { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Heredoc */
.highlight .si { color: #3333bb; background-color: #fff0f0 } /* Literal.String.Interpol */
.highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */
.highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */
.highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */
.highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */
.highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */
.highlight .vc { color: #336699 } /* Name.Variable.Class */
.highlight .vg { color: #dd7700 } /* Name.Variable.Global */
.highlight .vi { color: #3333bb } /* Name.Variable.Instance */
.highlight .vm { color: #336699 } /* Name.Variable.Magic */
.highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */</style><div class="highlight"><pre><span></span><span class="c1">##############################################################################</span>
<span class="c1"># Copyright (c) 2016 HUAWEI TECHNOLOGIES CO.,LTD and others.</span>
<span class="c1">#</span>
<span class="c1"># All rights reserved. This program and the accompanying materials</span>
<span class="c1"># are made available under the terms of the Apache License, Version 2.0</span>
<span class="c1"># which accompanies this distribution, and is available at</span>
<span class="c1"># http://www.apache.org/licenses/LICENSE-2.0</span>
<span class="c1">##############################################################################</span>
<span class="nn">---</span>
<span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">include_vars</span><span class="p p-Indicator">:</span> <span class="s">&quot;{{</span><span class="nv"> </span><span class="s">ansible_os_family</span><span class="nv"> </span><span class="s">}}.yml&quot;</span>

<span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">name</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">disable auto start</span>
  <span class="l l-Scalar l-Scalar-Plain">copy</span><span class="p p-Indicator">:</span>
    <span class="l l-Scalar l-Scalar-Plain">content</span><span class="p p-Indicator">:</span> <span class="s">&quot;#!/bin/sh\nexit</span><span class="nv"> </span><span class="s">101&quot;</span>
    <span class="l l-Scalar l-Scalar-Plain">dest</span><span class="p p-Indicator">:</span> <span class="s">&quot;/usr/sbin/policy-rc.d&quot;</span>
    <span class="l l-Scalar l-Scalar-Plain">mode</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">0755</span>
  <span class="l l-Scalar l-Scalar-Plain">when</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">ansible_os_family == &quot;Debian&quot;</span>

<span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">name</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">install cinder-volume and lvm2 packages</span>
  <span class="l l-Scalar l-Scalar-Plain">action</span><span class="p p-Indicator">:</span> <span class="s">&quot;{{</span><span class="nv"> </span><span class="s">ansible_pkg_mgr</span><span class="nv"> </span><span class="s">}}</span><span class="nv"> </span><span class="s">name={{</span><span class="nv"> </span><span class="s">item</span><span class="nv"> </span><span class="s">}}</span><span class="nv"> </span><span class="s">state=present&quot;</span>
  <span class="l l-Scalar l-Scalar-Plain">with_items</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">packages | union(packages_noarch)</span>

<span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">name</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">enable auto start</span>
  <span class="l l-Scalar l-Scalar-Plain">file</span><span class="p p-Indicator">:</span>
    <span class="l l-Scalar l-Scalar-Plain">path=/usr/sbin/policy-rc.d</span>
    <span class="l l-Scalar l-Scalar-Plain">state=absent</span>
  <span class="l l-Scalar l-Scalar-Plain">when</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">ansible_os_family == &quot;Debian&quot;</span>

<span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">name</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">generate cinder volume service list</span>
  <span class="l l-Scalar l-Scalar-Plain">lineinfile</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">dest=/opt/service create=yes line=&#39;{{ item }}&#39;</span>
  <span class="l l-Scalar l-Scalar-Plain">with_items</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">services | union(services_noarch)</span>

<span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">name</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">upload cinder-volume configuration</span>
  <span class="l l-Scalar l-Scalar-Plain">template</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">src=cinder.conf dest=/etc/cinder/cinder.conf</span>
            <span class="l l-Scalar l-Scalar-Plain">backup=yes</span>
  <span class="l l-Scalar l-Scalar-Plain">notify</span><span class="p p-Indicator">:</span>
     <span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">restart cinder-volume services</span>

<span class="p p-Indicator">-</span> <span class="l l-Scalar l-Scalar-Plain">meta</span><span class="p p-Indicator">:</span> <span class="l l-Scalar l-Scalar-Plain">flush_handlers</span>
</pre></div>
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div id="lfcollabprojects-footer">
  <div class="gray-diagonal">
    <div class="footer-inner">
      <p>
        &copy; 2015
        <a href="https://opnfv.org/">Open Platform for NFV Project, Inc</a>., a
        Linux Foundation Collaborative Project. All Rights Reserved.
      </p>
      <p>
        Open Platform for NFV and OPNFV are trademarks of the Open Platform for
        NFV Project, Inc.
      </p>
      <p>
        Linux Foundation is a registered trademark of The Linux Foundation.
        Linux is a registered
        <a
          href="http://www.linuxfoundation.org/programs/legal/trademark"
          title="Linux Mark Institute"
          >trademark</a
        >
        of Linus Torvalds.
      </p>
      <p>
        Please see our
        <a href="https://opnfv.org/about/bylaws-and-policies/terms-use"
          >terms of use</a
        >,
        <a href="https://opnfv.org/about/bylaws-and-policies/trademarks"
          >trademark policy</a
        >, and
        <a href="https://opnfv.org/about/bylaws-and-policies/privacy-policy"
          >privacy policy</a
        >.
      </p>
    </div>
  </div>
</div>
</div> <!-- id=cgit -->
</body>
</html>
